#version 330 core
in float fragValue;
flat in int pattern;
void main() {
	vec4 fragColor1 = vec4(1.0, 0.0, 0.0, 1.0);
	vec4 fragColor2 = vec4(0.0, 1.0, 0.0, 1.0);
	switch (pattern) {
	case 0:
		gl_FragColor = mix(fragColor1, fragColor2, fragValue);
		break;

	case 1:
		gl_FragColor = mix(fragColor1, fragColor2, step(0.5, fragValue));
		break;

	case 2:
		gl_FragColor = mix(fragColor1, fragColor2, smoothstep(0.4, 0.6, fragValue));
		break;

	case 3:
		gl_FragColor = mix(fragColor1, fragColor2, sin(fragValue * 4 * 3.14159) * 0.5 + 0.5);
		break;

	case 4:
		gl_FragColor = mix(fragColor1, fragColor2, step(0.5, sin(fragValue * 4 * 3.14159) * 0.5 + 0.5));
		break;

	default:
		gl_FragColor = vec4(0.0);
	}
}